package de.hendriklipka.q3master.test;

import java.util.Random;
import java.net.InetAddress;

public class ServerPlayerSimulation extends ServerBaseSimulation implements ServerSimulation
{
    Random _random=new Random();
    Random _playerRandom=new Random();
    Random _checkRandom=new Random();

    public void doSomething()
    {
        boolean change=_checkRandom.nextBoolean();
        if (change)
        {
            if (_currentState==STATE_OFF)
            {
                _currentState=STATE_ON;
                _players=0;
            }
            else if (_currentState==STATE_ON)
            {
                _currentState=STATE_PLAYERS;
                _players=_playerRandom.nextInt(20);
            }
            else
            {
                int dochange=_checkRandom.nextInt(100);
                if (dochange<10)
                {
                    _currentState=STATE_OFF;
                    heartBeat();
                }
                else
                    _players=_playerRandom.nextInt(20);
            }
            heartBeat();
        }
    }

    public long getSleepTime()
    {
        return (long)1000*(_random.nextInt(30)+1);
    }

    public ServerPlayerSimulation(int port, InetAddress server)
    {
        super(port,server);
    }
}
